## org.omg.Messaging
Class RebindModeHelper

    java.lang.Object
      |
      +--org.omg.Messaging.RebindModeHelper

public class RebindModeHelper
extends java.lang.Object

Helper class for : RebindMode

Author:
  OpenORB Compiler

Constructor Summary
`RebindModeHelper()`

Method Summary
`static short` `extract(Any a)` Extract RebindMode from an any
`static java.lang.String` `id()` Return the RebindMode IDL ID
`static void` `insert(Any a, short t)` Insert RebindMode into an any
`static short` `read(InputStream istream)` Read RebindMode from a marshalled stream
`static TypeCode` `type()` Return the RebindMode TypeCode
`static void` `write(OutputStream ostream, short value)` Write RebindMode into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RebindModeHelper

    public RebindModeHelper()

Method Detail

### insert

    public static void insert(Any a,
                              short t)

  Insert RebindMode into an any
  Parameters:
    `a` - an any
    `t` - RebindMode value

### extract

    public static short extract(Any a)

  Extract RebindMode from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted RebindMode value

### type

    public static TypeCode type()

  Return the RebindMode TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the RebindMode IDL ID
  Returns:
    an ID

### read

    public static short read(InputStream istream)

  Read RebindMode from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed RebindMode value

### write

    public static void write(OutputStream ostream,
                             short value)

  Write RebindMode into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - RebindMode value